-- Place in this Lua script all the levels of your game
-- Title is mandatory and must be the first level.

-- Intro image is a splash screen which appears before actual loading screen.
-- If you don't want it to appear, just remove this line.

-- Flow.SetIntroImagePath("Screens\\main.jpg")

-- Set overall amount of secrets in game.
-- If set to 0, secrets won't be displayed in statistics.

Flow.SetTotalSecretCount(0)

-- Enable/Disable Point Filter (square, unsmoothed pixels).

Flow.EnablePointFilter(true)

-- Enable/Disable saving and loading of savegames.

Flow.EnableLoadSave(false)

-- Disable/enable flycheat globally

Flow.EnableFlyCheat(false)

-- Disable/enable Lara drawing in title level

Flow.EnableLaraInTitle(false)

-- Disable/enable level selection in title level

Flow.EnableLevelSelect(true)

-- Disable/enable mass pickup (collect all pickups at once)

Flow.EnableMassPickup(true)

--------------------------------------------------

-- Title level

title = Level.new()

-- title.ambientTrack = "108"
title.levelFile = "Data\\title.ten"
title.scriptFile = "Scripts\\Levels\\title.lua"
-- title.loadScreenFile = "Screens\\main.jpg"

Flow.AddLevel(title)

--------------------------------------------------
-- JingleBellRock level

JingleBellRock = TEN.Flow.Level()

JingleBellRock.nameKey = "JingleBellRock"
JingleBellRock.scriptFile = "Scripts\\Levels\\JingleBellRock.lua"
JingleBellRock.ambientTrack = "000_JingleBellRock"
JingleBellRock.horizon = false
JingleBellRock.levelFile = "Data\\JingleBellRock.ten"
JingleBellRock.fog = Flow.Fog.new(Color.new(192, 192, 218), 3, 30)
JingleBellRock.weather = 2
JingleBellRock.weatherStrength = 0.5

TEN.Flow.AddLevel(JingleBellRock)

--------------------------------------------------

-- YesAnd level

YesAnd = TEN.Flow.Level()

YesAnd.nameKey = "YesAnd"
YesAnd.scriptFile = "Scripts\\Levels\\YesAnd.lua"
YesAnd.ambientTrack = "001_YesAnd"
YesAnd.horizon = true
YesAnd.levelFile = "Data\\YesAnd.ten"
YesAnd.fog = Flow.Fog.new(Color.new(192, 192, 218), 3, 30)
YesAnd.weather = 1
YesAnd.weatherStrength = 0.5

TEN.Flow.AddLevel(YesAnd)

--------------------------------------------------
